#
# spec file for package perl-File-MMagic
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-File-MMagic
Version:        1.30
Release:        bp156.3.1
%define cpan_name File-MMagic
Summary:        Guess file type
License:        Apache-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/File-MMagic/
Source:         http://www.cpan.org/authors/id/K/KN/KNOK/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
#BuildRequires: perl(File::MMagic)
#BuildRequires: perl(Module::Build)
%{perl_requires}

%description
checktype_filename(), checktype_filehandle() and checktype_contents returns
string contains file type with MIME mediatype format.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc ChangeLog COPYING README.en README.ja

%changelog
* Sat Jul 27 2013 coolo@suse.com
- updated to 1.30
  * MMagic.pm: Version 1.30.
  * MMagic.pm (checktype_byfilename): Remove Scalar::Util::weaken.
    To prevent too much decrement REFCNT.
* Thu Jun  6 2013 cdenicolo@suse.com
- license update: Apache-1.0
  correct license is  Apache-1.0
* Tue Jun  4 2013 coolo@suse.com
- updated to 1.29
  * MMagic.pm (checktype_contents): Fix infinity loop bug.
    Reported by NMOLDAV@cpan.org (#77836)
  * MMagic.pm: Add missing =back.
  * MMagic.pm (readMagicEntry): Removed deprecated code
    (defined(@array)) reported by wyant@cpan.org (#74252).
  * MMagic.pm (checktype_byfilename): Fixed memory leak.
  * MMagic.pm: Added 'regex' and 'search' support for magic entry,
    and fixed fatal error when unknown type in magic entry.
    (The patch made by Man Min Yan, thank you).
  * MMagic.pm (readMagicLine): Added Hex representation support.
    (The patch made by Man Min Yan, thank you)
  * MMagic.pm (checktype_container): Added container check.
    (Powerd by CodeFest 2006 Akihabara
    https://members.fsij.org/trac/codefestakihabara2006c)
  * Applied subclass patch, made by Michael Hendricks.
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Tue Dec 19 2006 mfabian@suse.de
- update to 1.27 (required by namazu 2.0.16).
  • MMagic.pm (checktype_data): performance improve.
    http://www.namazu.org/trac-namazu/trac.cgi/ticket/8
  • MMagic.pm (magicMatchStr): Fixed time waste problem.
  • MMagic.pm (__DATA__): Perfomance tuning for mknmz.
    http://www.namazu.org/pipermail/namazu-devel-ja/2005-December/000793.html
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jul 28 2004 ro@suse.de
- update to 1.22
* Sat Jan 10 2004 adrian@suse.de
- build as user
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Thu Jul 24 2003 schwab@suse.de
- Use install_vendor.
* Mon Jun 16 2003 ro@suse.de
- update to 1.17
- added directory to filelist
* Mon May 19 2003 ro@suse.de
- remove perllocal.pod
* Mon May 12 2003 ro@suse.de
- use defattr
* Mon Oct 28 2002 ro@suse.de
- update to 1.16
  (added ms-tnef,text/x-roff)
- bzip source
* Thu Aug  8 2002 mls@suse.de
- use sitearch macro
* Tue Jul  2 2002 mls@suse.de
- remove race in .packlist generation
* Wed Aug 15 2001 bjacke@suse.de
- update to 1.12
* Mon Dec 11 2000 ro@suse.de
- perllocal.pod may never be in file-list
* Mon Dec 11 2000 ro@suse.de
- fixed filelist
* Thu Dec  7 2000 bjacke@suse.de
- initial build of version 1.09
